/***************************************************************************/
/*										*/
/*			  	PROXIM RANGELAN2 LOW LEVEL DRIVER		*/
/*										*/
/*		PROXIM, INC. CONFIDENTIAL AND PROPRIETARY.  This source is the 	*/
/*		sole property of PROXIM, INC.  Reproduction or utilization of	*/
/*		this source in whole or in part is forbidden without the written*/
/*		consent of PROXIM, INC.						*/
/*										*/
/*										*/
/*				(c) Copyright PROXIM, INC. 1994			*/
/*					All Rights Reserved			*/
/*										*/
/***************************************************************************/

/***************************************************************************/
/*										*/
/*	$Header:   J:\pvcs\archive\clld\asm.h_v   1.15   27 Sep 1996 09:17:20   */
/*										*/
/* Edit History									*/
/*										*/
/*	$Log:   J:\pvcs\archive\clld\asm.h_v  $					*/
/*										*/ 
/*    Rev 1.15   27 Sep 1996 09:17:20  						*/
/*										*/
/*										*/
/***************************************************************************/

/*********************************************************************/
/*										*/
/* These are the prototype definitions for "asm.c"				*/
/*										*/
/*********************************************************************/

#ifndef ASM_H
#define ASM_H

extern int irq;
extern char *VideoBase;

void	Delay (unsigned_16 millitime);
void	Delay_uS (unsigned_16 microtime);
void	Beep (unsigned_16 Frequency);
void	OutChar (unsigned_8 Character, unsigned_8 ColorCode);
void  OutString (char *string, unsigned_8 ColorCode);
#ifdef NDIS_MINIPORT_DRIVER
void  OutCharAt(unsigned_8 Character, unsigned_8 ColorCode, int Col);
#endif
void	OutHex  (unsigned_8 HexByte, unsigned_8 ColorCode);
void  OutHexW (unsigned_16 HexWord, unsigned_8 ColorCode);
void  OutHexL (unsigned_32 HexLong, unsigned_8 ColorCode);
#ifdef NDIS_MINIPORT_DRIVER
void  OutHexAt (unsigned_8 HexByte, unsigned_8 ColorCode, int Col);
void  WriteStatusLine(void);
#endif
FLAGS	PreserveFlag (void);
void	DisableInterrupt (void);
void	EnableInterrupt (void);
void	RestoreFlag (FLAGS OrigFlag);

#endif /* ASM_H */

