/*								*
	rl2ioctl.h						*
*/

#define SUCCESS 0
#define FAILURE 0xFF

struct rl2_ioctl {
	unsigned short cmd;
	unsigned short len;
	unsigned char *data;
	};

struct rl2_master_opts{
	unsigned char type;
	unsigned char channel;
	unsigned char subchannel;
	unsigned char domain;
	unsigned char hopperiod;
	unsigned char bfreq;
	unsigned char name[12];
	unsigned char deferalslot;
	unsigned char fairnessslot;
	unsigned char bridge;
	unsigned char id[3];
        unsigned char roamconfig;
        unsigned char macoptimize;
};

struct sockaddr thesock;
struct rl2_master_opts myopts;
extern struct NodeEntry NodeTable[];

enum {RL2RESET, RL2ROAM, RL2INFO, RL2NODETABLE, RL2MASTEROPTS, RL2LISTAPS};

extern unsigned_8 MRUNodeEntry;
extern unsigned_8 LLDSyncState;
extern unsigned_8 LLDMSTASyncChannel;
extern unsigned_8 LLDMSTASyncSubChannel;
extern unsigned_8 LLDDomain;
extern unsigned_8 LLDNodeType;
extern unsigned_8 LLDMSTASyncName[];
extern unsigned_8 LLDMSTAName[];
extern unsigned_8 LLDChannel;
extern unsigned_8 LLDSubChannel;
extern unsigned_8 LLDSecurityID[];
extern unsigned_8 LLDNeedReset;
extern unsigned_8 PacketizePktBuf[];
extern unsigned_8 PacketSeqNum;
extern unsigned_8 LLDRoamingFlag;

void EndSearch(unsigned long d);
